Subject: bug#12395: 24.2.50; `C-h f emacs-version' ignores doc string; gives no information

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Oct 2012 12:39:11 +0200

Incidentally, is it OK that cp51932.el and eucjp-ms.el are loaded as
uncompiled Lisp files, but are not in src/lisp.mk?  That seems to fly
in the face of the commentary at the beginning of loadup.el, which
says to add them to lisp.mk, and also contradicts the current
convention of byte-compiling everything, even if not strictly speaking
necessary.

Also, charprop.el is loaded uncompiled, but its doc strings do not
follow the conventions required by make-docfile.c.  We are lucky that
none of charprop.el's forms are recognizable by make-docfile.c.